/*
main routine for trapper it works iwth traps and event
D.D for srce 24.08.95
*/


#include <stdio.h>
#include <netmgt/netmgt.h>

char *def="\"\"";


char * value2str( type, val, len)
u_int type;
u_int len;
caddr_t val;
{
char *b=NULL;
static struct in_addr inaddr;
extern char *malloc();
	

if ( val== (caddr_t) NULL || len==0 ) {
	return (def);
}	
	b=(char*)malloc(len+5);

	switch (type) {
	case NETMGT_TIMETICKS:  /* ? */
		sprintf(b,"T %d",*(long*)val);
	break;
	case NETMGT_TIMEVAL:
		sprintf(b,"T %d",*(long*)val);
	break;
	case NETMGT_UNIXTIME:
		sprintf(b,"U %d",*(long*)val);
	break;
	case NETMGT_OCTET_STRING:
		sprintf(b,"X %s",(char*)val);
	break;
	case NETMGT_STRING:
		sprintf(b,"S %s",(char*)val);
	break;
	case NETMGT_OCTET:
		sprintf(b,"H %x", *(int*)val);
	break;
	case NETMGT_COUNTER:
		sprintf(b,"C %d", *(int*)val);
	break;
	case NETMGT_GAUGE:
		sprintf(b,"G %d", *(int*)val);
	break;
	case NETMGT_ENUM:
		sprintf(b,"E %d", *(int*)val);
	break;
	case NETMGT_LONG:
	case NETMGT_U_LONG:
		sprintf(b,"I %d", *(u_long*)val);
		break;
	case NETMGT_INTEGER:
	case NETMGT_SHORT:
	case NETMGT_U_SHORT:
	case NETMGT_INT:
	case NETMGT_U_INT:
		sprintf(b,"I %d", *(u_long*)val);
	break;
	case NETMGT_FLOAT :
		sprintf(b,"F %f", *(float*)val);
	break;
	case NETMGT_DOUBLE:
		sprintf(b,"F %g", *(double*)val);
	break;
	case NETMGT_OBJECT_IDENTIFIER:
	/*
		sprintf(b,"O %s", netmgt_oid2string(len,*(char*)val));
	*/
	break;
	case NETMGT_INADDR:
	case NETMGT_IP_ADDRESS:
	case NETMGT_NET_ADDRESS:
		inaddr.s_addr=ntohl(*(u_long*)val);
		sprintf(b,"A %s", *(char*)inet_ntoa(inaddr));
	break;
	}
	return(b);
}

char * relop2str(relop) 
u_int relop; 
{
static char buff[10];

	switch (relop){
	case  NETMGT_NOP              :       /* no operation */
	sprintf (buff, "");
	break;
	case  NETMGT_EQ               :       /* value == threshold */
	sprintf (buff, "==");
	break;
	case  NETMGT_NE               :       /* value != threshold */
	sprintf (buff, "!=");
	break;
	case  NETMGT_LT               :       /* value <  threshold */
	sprintf (buff, "<");
	break;
	case  NETMGT_LE               :       /* value <= threshold */
	sprintf (buff, "=<");
	break;
	case  NETMGT_GT               :       /* value >  threshold */
	sprintf (buff, ">");
	break;
	case  NETMGT_GE               :       /* value >= threshold */
	sprintf (buff, ">=");
	break;
	case  NETMGT_CHANGED          :       /* value changed */
	sprintf (buff, "+-");
	break;
	case  NETMGT_INCRBY           :       /* value increased by threshold */
	sprintf (buff, "+=");
	break;
	case  NETMGT_DECRBY           :       /* value decreased by threshold */
	sprintf (buff, "-=");
	break;
	case  NETMGT_INCRBYMORE       :      /* value increased by more than */
	sprintf (buff, "+<");
	break;
	case  NETMGT_INCRBYLESS       :      /* value increased by less than */
	sprintf (buff, "+>");
	break;
	case  NETMGT_DECRBYMORE       :      /* value decreased by more than */
	sprintf (buff, "-<");
	break;
	case  NETMGT_DECRBYLESS       :      /* value decreased by less than */
	sprintf (buff, "->");
	break;

	default: buff[0]=0;
	}
	return(buff);
}

char *prio2str(priority)
u_int priority;   
{
static char *LOW="L";
static char *MEDIUM="M";
static char *HIGH="H";
static char *EMP="";

	switch (priority){
	case NETMGT_LOW_PRIORITY:
		return(LOW);
	break;
	case NETMGT_MEDIUM_PRIORITY:
		return(MEDIUM);
	break;
	case NETMGT_HIGH_PRIORITY:
			return(HIGH);
	break;
	}
	
	return(EMP);
}



/*:
	case NETMGT_TIMETICKS:
	case NETMGT_OPAQUE:
*/
