/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_enumerate_connections 
 * char **snmdb_enumerate_connections (snmdb_buffer *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
extern void_pt bufferHandleTable;

int tclsnmdb_enumerate_connections(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

char **names=NULL;
char **str=NULL;
char *agent=NULL;
snmdb_buffer *buffer;
void_pt *hdl=NULL;
int i;


        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
   
	if ( (names=snmdb_enumerate_connections(buffer))==NULL )  return TCL_ERROR;

	Tcl_SetResult(interp,NULL, TCL_DYNAMIC);

	for (str=names; *str; str++) {
		/*agent=strdup(*str);		*/
		agent=*str;		
		Tcl_AppendElement(interp, agent);
	}
	snmdb_free_list(names);


	return TCL_OK;

}
