/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_get_agent 
 * int snmdb_get_agent	(snmdb_buffer *, char *, int *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
int tclsnmdb_get_agent(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
 
snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;

#define SIZEP 256
int  isproxy=0;
char proxy[SIZEP];
char *agent=NULL;

	agent=argv[2];
 
        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;

	memset(proxy,0,SIZEP); 
   
	if ( !snmdb_get_agent(buffer,agent,&isproxy,proxy) )  return TCL_ERROR;
	sprintf (interp->result ," %d %s ", isproxy,proxy);	
	return TCL_OK;
}
