/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_get_element_type 
 * char *snmdb_get_element_type (snmdb_buffer *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>

extern void_pt bufferHandleTable;

int tclsnmdb_get_element_type(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;


/* BODY */

	hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
	if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
	buffer=(snmdb_buffer*) *hdl;

	if ( (type=snmdb_get_element_type(buffer))==NULL ) return TCL_ERROR;
	sprintf (interp->result, "%s", type);

/* END_BODY */

	return TCL_OK;
}
