/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_set_color 
 * int snmdb_set_color (snmdb_buffer *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>


#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
int tclsnmdb_set_color(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;

int red=0, green=0, blue=0;
	
	Tcl_GetInt(interp,argv[2],&red);
	Tcl_GetInt(interp,argv[3],&green);
	Tcl_GetInt(interp,argv[4],&blue);

        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
   
	if ( snmdb_set_color(buffer,red,green, blue) )  return TCL_OK;
	return TCL_ERROR;
}
