/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_add_agent 
 * int snmdb_add_agent	(snmdb_buffer *, char *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
int tclsnmdb_add_agent(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
 
snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;

char *proxy=NULL;
char *agent=NULL;

/* BODY */
	agent=argv[2];
	if ( argc >2 ) { proxy=argv[3];}
 
        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
   
	if ( snmdb_add_agent(buffer,agent,proxy) )  return TCL_OK;
	return TCL_ERROR;
}
