/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_add_to_view 
 * int snmdb_add_to_view (snmdb_buffer *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>


#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
int tclsnmdb_add_to_view(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;
char *viewo=NULL;
int x=0, y=0, z=0, x1=0, y1=0;

	viewo=argv[2];
	Tcl_GetInt(interp,argv[3],&x);
	Tcl_GetInt(interp,argv[4],&y);

	if ( argc>4 ) { Tcl_GetInt(interp,argv[5],&z); }
	if ( argc>5 ) { Tcl_GetInt(interp,argv[6],&x1); }
	if ( argc>6 ) { Tcl_GetInt(interp,argv[7],&y1); }

        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
   
	if ( snmdb_add_to_view(buffer,viewo,x,y,z,x1,y1) )  return TCL_OK;
	return TCL_ERROR;
}
