/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_free_enumeration_handle 
 * void snmdb_free_enumeration_handle	(snmdb_handle *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>

extern void_pt enumHandleTable;

int tclsnmdb_free_enumeration_handle(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

snmdb_handle *fdb=NULL;
void_pt *hdl=NULL;
int i;

/* Get the handle, and the image pointer. */
 
	for (i=1; i<argc; i++) {
		hdl = Tcl_HandleXlate( interp, enumHandleTable, argv[i] );
 
		if (hdl==NULL|| *hdl==NULL) return TCL_ERROR;
		fdb = (snmdb_handle *) (*hdl);
 
		/* Release the handle, destroy the image. */
		Tcl_HandleFree( enumHandleTable, hdl );
		snmdb_free_enumeration_handle(fdb); 
 
	}
        return TCL_OK;
}
