/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_get_next_element 
 * char *snmdb_get_next_element (snmdb_handle *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
 
extern void_pt enumHandleTable;
 
int tclsnmdb_get_next_element (
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{

snmdb_handle *enumh=NULL;
void_pt *hdl=NULL;
char *rez=NULL;


        hdl = Tcl_HandleXlate( interp, enumHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        enumh=(snmdb_handle*) *hdl;
 
	Tcl_SetResult(interp,NULL,TCL_DYNAMIC);
	if (  (rez=snmdb_get_next_element (enumh))!=NULL) { 
		Tcl_AppendElement(interp,rez);
	}
	return TCL_OK;

}
