/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_get_view 
 * int snmdb_get_view (snmdb_buffer *, char *, int *, int *, int *, ...);  
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>

#include <handle_t.h>
 
extern void_pt bufferHandleTable;
 
int tclsnmdb_get_view(
	void *clientData,
	Tcl_Interp *interp,
	int argc, 
	char **argv)
{
snmdb_buffer *buffer;
char *type=NULL;
void_pt *hdl=NULL;
char *viewo=NULL;
int x=0, y=0, z=0, x1=0, y1=0;

	viewo=argv[2];

        hdl = Tcl_HandleXlate( interp, bufferHandleTable, argv[1] );
        if (hdl==NULL || *hdl==NULL) return TCL_ERROR;
        buffer=(snmdb_buffer*) *hdl;
 
   
	if ( !snmdb_get_view(buffer,viewo,&x,&y,&z,&x1,&y1) )  return TCL_ERROR;
	sprintf (interp->result, "%d %d %d %d %d",x,y,z,x1,y1);
	return TCL_OK;
}
