/* 
*******************************************************

test aplication for sunnet manger event clearing

idea: from sun netmanager 2.0 programmers guide, 8.x

Damir Delija

*******************************************************
*/

#include <stdio.h>
#include <stdlib.h>

#include <netmgt/netmgt.h>
#include <netmgt/netmgt_db.h>

#define DEF_RED		0
#define DEF_GREEN	255
#define DEF_BLUE	0
 

snmdb_buffer buff;
snmdb_handle *handle;

adnew( el )
char *el;
{
snmdb_buffer *uff;

	uff=&buff;

	snmdb_init_buffer(el, "component.pc", uff);
		printf ("snmdb_ is %d\n", snm_error );

	snmdb_set_property( uff, "Location", "Test");
		printf ("snmdb_emnu is %d\n", snm_error );

	snmdb_set_color(uff, DEF_RED, DEF_GREEN, DEF_BLUE );
		printf ("snmdb_emnu is %d\n", snm_error );

	if (!snmdb_lock( TRUE, TRUE) ) {
		
		fprintf (stderr, "LOCK ERROR= %d \n", snm_error );
	}
	else{

		snmdb_add( uff );
	}

	snmdb_unlock();

	return(1);

}

list_all(){
	char *str;
	handle=snmdb_enumerate_elements(NULL,NULL);

	if ( !handle ){
		printf ("snmdb_emnu is %d\n", snm_error );
	}

	printf ("START LIST\n" );

	while( (str = snmdb_get_next_element( handle ))!= NULL ){
		printf ("EL: %s \n", str );
	}

	printf ("END LIST\n" );

	if ( handle ) {
		snmdb_free_enumeration_handle( handle );
	}
	printf ("HAndle clear \n" );

	return(0);
}

int clean_status( el )
char *el;
{
snmdb_buffer *uff;


	uff=&buff;

	if (!snmdb_lock( TRUE, TRUE) ) {
		
		fprintf (stderr, "LOCK ERROR= %d \n", snm_error );
		return 1;
	}

	if (!snmdb_read( "pcnfs09", uff )){

		printf ("snmdb_read for %s is %d\n",el, snm_error );
	}
	printf ("Tip= %s \n", (char*)snmdb_get_element_type(uff));	

	snmdb_set_color(uff, DEF_RED, DEF_GREEN, DEF_BLUE );
	snmdb_update(uff);



/*
#
#no test for unlocking 
#
*/

	snmdb_unlock();
	return (0);

}


int list_el( p )
char *p;
{
	snmdb_buffer buff;
	int rez;

	rez=snmdb_read(p,&buff);

	printf ("EL= %s Rez= %d err= %d\n", p, rez, snm_error);	

	return (0);

}

/*
call
	element name!
*/
main(argc, argv)
int argc;
char *argv[];
{
int rez;
int i;
char *pp;

	printf ( "%s %s \n", "SNMHOME", getenv("SNMHOME") );
	printf ( "%s %s \n", "SNM_NAME", getenv("SNM_NAME") );
	printf ( "%s %s \n", "SNMDBDIR", getenv("SNMDBDIR") );

	if (argc != 2 ) { 
		fprintf (stderr, "%s ime \n",argv[0]);
		return (1);
	}
	pp=argv[1];


	for (i=0; i<10 && !snmdb_open(); i++);

/*
	list_all();
*/
	rez=adnew( pp );

	printf ("rez=%d snm_error=%d\n",rez,snm_error);



	

}


/* end of */




